<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.Samples.AnimationText Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_samples_1_1_animation_text.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="class_tri_lib_1_1_samples_1_1_animation_text-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.Samples.AnimationText Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Represents an animation entry UI component.  
 <a href="class_tri_lib_1_1_samples_1_1_animation_text.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for TriLib.Samples.AnimationText:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_tri_lib_1_1_samples_1_1_animation_text.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a42910a33fc9dab1ce31508b350b6d631"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_animation_text.html#a42910a33fc9dab1ce31508b350b6d631">OnSelect</a> (BaseEventData eventData)</td></tr>
<tr class="memdesc:a42910a33fc9dab1ce31508b350b6d631"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calls <a class="el" href="class_tri_lib_1_1_samples_1_1_asset_loader_window.html" title="Represents the asset loader UI component.">AssetLoaderWindow</a> HandleEvent function, indicating that user clicked this item.  <a href="class_tri_lib_1_1_samples_1_1_animation_text.html#a42910a33fc9dab1ce31508b350b6d631">More...</a><br /></td></tr>
<tr class="separator:a42910a33fc9dab1ce31508b350b6d631"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:ac65af6689acb182d7c5d3a8219567500"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_animation_text.html#ac65af6689acb182d7c5d3a8219567500">Text</a><code> [getset]</code></td></tr>
<tr class="memdesc:ac65af6689acb182d7c5d3a8219567500"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets/Sets the related UI component text.  <a href="class_tri_lib_1_1_samples_1_1_animation_text.html#ac65af6689acb182d7c5d3a8219567500">More...</a><br /></td></tr>
<tr class="separator:ac65af6689acb182d7c5d3a8219567500"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Represents an animation entry UI component. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a42910a33fc9dab1ce31508b350b6d631" name="a42910a33fc9dab1ce31508b350b6d631"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42910a33fc9dab1ce31508b350b6d631">&#9670;&nbsp;</a></span>OnSelect()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TriLib.Samples.AnimationText.OnSelect </td>
          <td>(</td>
          <td class="paramtype">BaseEventData&#160;</td>
          <td class="paramname"><em>eventData</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Calls <a class="el" href="class_tri_lib_1_1_samples_1_1_asset_loader_window.html" title="Represents the asset loader UI component.">AssetLoaderWindow</a> HandleEvent function, indicating that user clicked this item. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">eventData</td><td>Contains the base event data that is common to all event types in the new Unity EventSystem.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="ac65af6689acb182d7c5d3a8219567500" name="ac65af6689acb182d7c5d3a8219567500"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac65af6689acb182d7c5d3a8219567500">&#9670;&nbsp;</a></span>Text</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string TriLib.Samples.AnimationText.Text</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets/Sets the related UI component text. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Samples/Scripts/<a class="el" href="_animation_text_8cs.html">AnimationText.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="namespace_tri_lib_1_1_samples.html">Samples</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_samples_1_1_animation_text.html">AnimationText</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
